<!---
/* ***************************************************************
/*
Author: 	
	PaperThin, Inc.
	M. Carroll
Name:
	comments_listing_rh.cfm
Summary:
	Renders the comments listings. Loads them via AJAX in to a div
Arguments:
	request.params.callback -  if a callback script name value is passed in to this RH it will render a 
							   the 'post comment' button with callback key/value in the URL
							   and add an script to refresh the comments DIV
History:
	2009-12-23 - MFC - Created
	2010-01-06 - GAC - Modified - Added a callback option to refresh just the comments div.
--->


<cfscript>
	// Render each time the page is refreshed since a new comment may have be added
	request.element.isStatic = 0;
	
	application.ptComments.scripts.loadJQuery();
	application.ptComments.scripts.loadJQueryUI();
	application.ptComments.scripts.loadADFLightbox();
	formID = application.ptcomments.getCommentsFormID();
	
	
	// get the items
	items = attributes.elementInfo.elementData.propertyValues;	

	// Validate if the comments structure exists to post comments
	if ( StructKeyExists(request.params, "comments") AND StructKeyExists(request.params.comments, "contentDataPageID") ) {
		// Set the content Form ID from the Content Page ID
		request.params.comments.contentformID = application.ptComments.ceData.getFormIDFromPageID(pageid=request.params.comments.contentDataPageID);
	}
	else {
		request.params.comments.contentDataPageID = 0;
		request.params.comments.contentformID = 0;
	}
	
	// Set the flag to render the action links for the comments
	renderActionLinks = false;
	if ( request.renderState.renderMode NEQ "read" )
		renderActionLinks = true;
</cfscript>

<cfif (request.params.comments.contentDataPageID GT 0)>
	<cfoutput>
		<script type="text/javascript">
			jQuery(document).ready(function(){
				// Load the comments DIV when the page is loaded
				loadComments();
			});
			
			// Pull in the comments data and output them in the comments DIV
			function loadComments(){
				
				// Display the loading image
				data = 'Loading Comments ... <img src="/ADF/apps/pt_comments/images/ajax-loader-arrows.gif">';
				jQuery("div##comment_listing").html(data);
				
				jQuery.get("#application.ADF.ajaxProxy#",
				{ 
					bean: "commentRender",
					method: "getListingHTML",
					contentDataPageID: "#request.params.comments.contentDataPageID#",
					displayMailto: "Y",
					returnFormat: "HTML",
				},
				function (data){
					jQuery("div##comment_listing").html(data); 
				},
				"JSON");
			}

			function addCommentsReturn(formdata){
				
				console.log(formdata);
				// convert to JSON

				var formJSON = JSON.stringify(formdata);
				jQuery.get("#application.ADF.ajaxProxy#",
					{
						bean: "forms_1_1",
						method: "verifyCFFormProtect",
						formStruct: formJSON,
						returnFormat: "HTML",
						elementName: 'comments',
						primaryKey: 'uid'
					},function(results){
			  			closeLBReloadParent();
					}
			    );
			   }
		</script>
		<style>
			##commentlist ol, ##commentlist ul {list-style: none;}
			##commentlist {width:100%; padding:25px 0 0;}
			##commentlist .author {width:125px; margin-right:20px; float:left; padding-left:20px;}
			##commentlist .author .pic img {border:1px solid ##C5C5C5; padding:3px; background-color:##FFF; -moz-border-radius:5px; -webkit-border-radius:5px; border-radius:5px; margin-bottom:3px;}
			##commentlist .info {padding-left:20px;}
			##commentlist .info .date {font-size:10px; color:##666;}
			##commentlist .info .content p {font-size:14px; color:##333; width: 100%;}
			##commentlist ol {margin-top:-30px; margin-left:-20px;}
			##commentlist li {background:##efefef; margin:0 0 10px; padding:15px 15px 10px; /*border:1px solid ##e0e0e0;*/ border-left:none; border-right:none;}
			a.addCommentButton div.ui-button {margin-left: 20px;}
		</style>
		
		<br />
		<h4>Comments</h4>
		
		<!--- Render the comments --->
		<div class="comment_listing" id="comment_listing"></div>
		
		<!--- Check if the user is logged in --->
		<cfif request.user.id GT 0>
			<div id="addComment" style="padding: 20px 20px 20px 0px;">
				<script type="text/javascript">
					// Load JQuery UI effects for the "ds-icons" and "ui_button" classes
					jQuery(document).ready(function(){
						// Hover states on the static widgets
						jQuery("a.addCommentButton div.ui-button").hover(
							function() { 
								$(this).css("cursor", "hand");
								$(this).addClass('ui-state-hover');
							},
							function() { 
								$(this).css("cursor", "pointer");
								$(this).removeClass('ui-state-hover');
							}
						);
					});
				</script>
						<a rel="#application.ADF.ajaxProxy#?bean=Forms_1_1&method=renderAddEditForm&lbAction=refreshparent&formid=#application.ptcomments.getCommentsFormID()#&dataPageID=0&commentFormID=#request.params.comments.contentformID#&commentDataPageID=#request.params.comments.contentDataPageID#&title=Add Comments&commentUserID=#request.user.id#&width=500&height=300&callback=addCommentsReturn" class="ADFLightbox addCommentButton" title='Post A Comment'>
		
	<!--- 			<a rel="#application.ADF.ajaxProxy#?bean=commentForms&method=renderAddForm&commentFormID=#request.params.comments.contentformID#&commentDataPageID=#request.params.comments.contentDataPageID#&commentUserID=#request.user.id#&width=500&height=300&callback=loadComments" class="ADFLightbox addCommentButton" title='Post A Comment'> --->
					<div class='ui-button ui-state-default ui-corner-all' title='Download Poll Data Report' style='padding:0.4em 1em;'>
						<div style='float:left;margin-left:5px;margin-right:5px;' class='ui-icon ui-icon-comment'></div>
						<div style='float:left;margin-left:5px;margin-right:5px;'>Post A Comment</div>
					</div>
				</a>			
			</div>
		<cfelse>
			<div id="addNew" style="padding: 20px 20px 20px 0px;">
				<p>
					<a href="login.cfm">Please Login to post a comment</a>
				</p>
			</div>
		</cfif>
	</cfoutput>
<cfelse>
	<cfoutput>
		<!-- PT Comments [#request.formattedTimeStamp#]: No Content Form ID and Content Data Page ID are defined. -->
	</cfoutput>
</cfif>

<cfoutput>


</cfoutput>